# @(#)create.tcl	1.5  97/12/23

# Copyright (c) Communications Research Centre, Government of Canada 1997. 
# All rights reserved.
# 
# License is granted to copy and use this software, for research and
# evaluation purposes, provided that the Communications Research Centre
# is acknowledged in all documentation pertaining to any such copy or
# use. The Communications Research Centre grants no other licenses
# expressed or implied. Title, ownership rights, and intellectual
# property rights in the software shall remain with the Communications
# Research Centre.  The Centre's name and the Government of Canada
# should not be used in any advertising without written permission.
# 
# THE COMMUNICATIONS RESEARCH CENTRE MAKES NO REPRESENTATIONS CONCERNING
# EITHER THE MERCHANTABILITY OF THIS SOFTWARE OR THE SUITABILITY OF
# THIS SOFTWARE FOR ANY PARTICULAR PURPOSE.  The software is provided
# "as is" without express or implied warranty of any kind.
# 
# These notices must be retained in any copies of any part of this
# software.
# 

proc forceLen {len name el op} {
  global $name ${name}_len
  if [string comp $el {}] {
    set old  ${name}_len\($el)
    set name $name\($el)
  } else { set old ${name}_len }
  if {[string length [set $name]] > $len} {
    set $name [set $old]
    bell; return
  }
  set $old [set $name]
}

# the interface to create new questions

toplevel .cmain
wm title .cmain "$theme"

label .cmain.title \
   -text "Create a Question for: $theme" \
   -fg "blue" 
pack .cmain.title

frame .cmain.entryframe
pack .cmain.entryframe -padx 10

frame .cmain.entryframe.topicframe
pack .cmain.entryframe.topicframe -pady 10 -anchor "w"

label .cmain.entryframe.topicframe.topicprompt \
   -text "Topic (40 characters max): " 
pack .cmain.entryframe.topicframe.topicprompt -side "top" -anchor w

set summary {}
entry .cmain.entryframe.topicframe.topicentry \
   -width 40 \
   -textvariable "summary" 
pack .cmain.entryframe.topicframe.topicentry -side "top"
trace variable summary w {forceLen 40}
set summary {}

frame .cmain.entryframe.qframe
pack .cmain.entryframe.qframe -anchor w

label .cmain.entryframe.qframe.qprompt \
   -text "Poll Question: " 
pack .cmain.entryframe.qframe.qprompt -side "top" -anchor "w"

text .cmain.entryframe.qframe.textwin \
   -width 40 \
   -height 10 \
   -wrap "word" 
pack .cmain.entryframe.qframe.textwin -side "top"

label .cmain.entryframe.resplabel \
   -text "Possible Responses:" 
pack .cmain.entryframe.resplabel -anchor "w"

# ASP this should be dynamic set by MAX_RESPONSES
for {set i 1} {$i <= 10} {incr i 1} \
   {
   set resp$i ""
   
   frame .cmain.entryframe.rframe$i
   pack .cmain.entryframe.rframe$i -anchor w
   
   if {$i < 10} {
      label .cmain.entryframe.rframe$i.count -text "  $i: " 
      } else {
      label .cmain.entryframe.rframe$i.count -text "$i: " 
      }
   
   pack .cmain.entryframe.rframe$i.count -side "left" -anchor w
   
   set resp$i {}
   entry .cmain.entryframe.rframe$i.entry \
      -width 35 \
      -textvariable "resp$i" 
   pack .cmain.entryframe.rframe$i.entry -side "right"
   trace variable resp$i w {forceLen 35}
   set resp$i {}
   }

# the options window
frame .cmain.entryframe.typeframe \
   -borderwidth 2 \
   -relief "raised" 
pack .cmain.entryframe.typeframe -pady 5 -anchor "w"

label .cmain.entryframe.typeframe.manyprompt \
   -text "How Many Responses Can Users Choose: " 
pack .cmain.entryframe.typeframe.manyprompt -side "top"

set type ""

radiobutton .cmain.entryframe.typeframe.onebutton \
   -variable "type" \
   -text "one" \
   -value "one" 
pack .cmain.entryframe.typeframe.onebutton -side "left"
.cmain.entryframe.typeframe.onebutton select

radiobutton .cmain.entryframe.typeframe.manybutton \
   -variable "type" \
   -text "many" \
   -value "many" 
pack .cmain.entryframe.typeframe.manybutton -side "left"


# the question parms

frame .cmain.entryframe.decayframe
pack .cmain.entryframe.decayframe -pady 5 -anchor "w"

label .cmain.entryframe.decayframe.decaylabel \
   -text "Response Life Time (min): " 
pack .cmain.entryframe.decayframe.decaylabel -side "left"

entry .cmain.entryframe.decayframe.decayentry \
   -width 5 \
   -textvariable "decaytime" 
pack .cmain.entryframe.decayframe.decayentry -side "left"

.cmain.entryframe.decayframe.decayentry delete 0 end
.cmain.entryframe.decayframe.decayentry insert 0 "0"


# remind time functions should be added later -- ASP

# label .cmain.entryframe.decayframe.remlabel \
#    -text "Remind Interval Time (min): " 
# pack .cmain.entryframe.decayframe.remlabel -side "left"
# 
# entry .cmain.entryframe.decayframe.rementry \
#    -width 5 \
#    -textvariable "remindtime" 
# pack .cmain.entryframe.decayframe.rementry -side "left"

# .cmain.entryframe.decayframe.rementry delete 0 end
# .cmain.entryframe.decayframe.rementry insert 0 "0"



# the buttons at the bottom

frame .cmain.bottomframe
pack .cmain.bottomframe -side "bottom"  -fill  "x" -pady 5

button .cmain.bottomframe.create \
   -text "Create Question" \
   -command addq
pack .cmain.bottomframe.create -side  "left"

button .cmain.bottomframe.dismiss \
   -text "Dismiss" \
   -command {destroy .cmain}
pack .cmain.bottomframe.dismiss -side  "right"

button .cmain.bottomframe.help \
   -text  "Help" \
    -command {helpme create}
pack .cmain.bottomframe.help -side right






