# @(#)results.tcl	1.5  97/12/23

# Copyright (c) Communications Research Centre, Government of Canada 1997. 
# All rights reserved.
# 
# License is granted to copy and use this software, for research and
# evaluation purposes, provided that the Communications Research Centre
# is acknowledged in all documentation pertaining to any such copy or
# use. The Communications Research Centre grants no other licenses
# expressed or implied. Title, ownership rights, and intellectual
# property rights in the software shall remain with the Communications
# Research Centre.  The Centre's name and the Government of Canada
# should not be used in any advertising without written permission.
# 
# THE COMMUNICATIONS RESEARCH CENTRE MAKES NO REPRESENTATIONS CONCERNING
# EITHER THE MERCHANTABILITY OF THIS SOFTWARE OR THE SUITABILITY OF
# THIS SOFTWARE FOR ANY PARTICULAR PURPOSE.  The software is provided
# "as is" without express or implied warranty of any kind.
# 
# These notices must be retained in any copies of any part of this
# software.
# 


set default_font "$small_font"

# display the results in graphical format

toplevel .rmain
wm title .rmain "$summary"

label .rmain.topic \
   -text "$summary" \
   -fg blue
pack .rmain.topic   

message .rmain.question \
   -text "$question" \
   -justify  "left" \
   -width  "300" \
   -relief  "sunken" \
   -font "$small_font"
 pack .rmain.question


# create a frame for the canvas

frame .rmain.canvasframe \
   -borderwidth  2 \
   -relief  "raised"
pack .rmain.canvasframe -pady 2


# create a frame for the y axis label

label .rmain.canvasframe.ylabel \
   -text  "%" \
   -font "$default_font"
pack .rmain.canvasframe.ylabel -side left


# create the canvas 
canvas .rmain.canvasframe.area \
   -height  "200" \
   -width  "300" 
pack .rmain.canvasframe.area -side left

# create the y axis  

.rmain.canvasframe.area create line   \
   20 20 \
   20 175 \
   -width 2 

for {set i 0} {$i <= 10} {incr i 1} {
   set y [expr 175 -($i*15)]
   .rmain.canvasframe.area create line 20 $y 23 $y -width 2
   .rmain.canvasframe.area create text 19 $y -text [expr $i*10] -anchor e -font "$small_font"
   }

# x axis

.rmain.canvasframe.area create line \
   20 175 \
   290 175 \
   -width 2

# the rest of the x axis is created in results.c


# the buttons at the bottom

frame .rmain.bottomframe 
pack .rmain.bottomframe -side bottom -pady 0 -fill x

button .rmain.bottomframe.dismiss \
   -text  "Dismiss" \
    -command {destroy .rmain}
pack .rmain.bottomframe.dismiss -side right


button .rmain.bottomframe.help \
   -text  "Help" \
    -command {helpme results}
pack .rmain.bottomframe.help -side right




