/*  @(#)save.c	1.5  97/12/23  */

/*
 * Copyright (c) Communications Research Centre, Government of Canada 1997. 
 * All rights reserved.
 * 
 * License is granted to copy and use this software, for research and
 * evaluation purposes, provided that the Communications Research Centre
 * is acknowledged in all documentation pertaining to any such copy or
 * use. The Communications Research Centre grants no other licenses
 * expressed or implied. Title, ownership rights, and intellectual
 * property rights in the software shall remain with the Communications
 * Research Centre.  The Centre's name and the Government of Canada
 * should not be used in any advertising without written permission.
 * 
 * THE COMMUNICATIONS RESEARCH CENTRE MAKES NO REPRESENTATIONS CONCERNING
 * EITHER THE MERCHANTABILITY OF THIS SOFTWARE OR THE SUITABILITY OF
 * THIS SOFTWARE FOR ANY PARTICULAR PURPOSE.  The software is provided
 * "as is" without express or implied warranty of any kind.
 * 
 * These notices must be retained in any copies of any part of this
 * software.
 */


#include "mpoll.h"
   
/* ----------------------------------------------------------- */
/* prompt to save the results to a file */

ET_PROC( saveresults )
   {

   ET_INCLUDE( savefile.tcl );   
   return TCL_OK;
   }
   
/* ----------------------------------------------------------- */
/* save the results to a file */

   
ET_PROC( dosave )
   {
   char *filename = NULL;
   int result;
   
   /* close the saveresults dialog window */
   ET(destroy .filepop);
   
   
   filename = strdup(ET_STR(set savefile));
   
   /* check resfile for any / characters */
   if (strchr(filename, '/'))
      {
      ET(
         bell
         tk_dialog .fileerror \
         "Not a simple file name" \
         "Sorry, only a simple filename is acceptable.  \
         The file will stored in your home directory" \
         "error" \
         0 \
         "Return"
      );
      return ET_OK;
      }
      
   result = writeresults(filename);
   
   if (result)
      {
      ET(
         toplevel .subpop 
         wm title .subpop "Results saved"
         frame .subpop.f -relief groove -borderwidth 2
         pack .subpop.f
         message .subpop.f.m -width 300 \
           -text "The results have been saved to file \"%q(filename)\" in your home directory."
         pack .subpop.f.m -side top
         button .subpop.f.but -text Dismiss -command "destroy .subpop"
         pack .subpop.f.but -side top -fill x -expand true
         after 5000 "catch {destroy .subpop}"
      );
      }
   
   
   return ET_OK;
   
   }
