/*  @(#)view.c	1.5  97/12/23  */

/*
 * Copyright (c) Communications Research Centre, Government of Canada 1997. 
 * All rights reserved.
 * 
 * License is granted to copy and use this software, for research and
 * evaluation purposes, provided that the Communications Research Centre
 * is acknowledged in all documentation pertaining to any such copy or
 * use. The Communications Research Centre grants no other licenses
 * expressed or implied. Title, ownership rights, and intellectual
 * property rights in the software shall remain with the Communications
 * Research Centre.  The Centre's name and the Government of Canada
 * should not be used in any advertising without written permission.
 * 
 * THE COMMUNICATIONS RESEARCH CENTRE MAKES NO REPRESENTATIONS CONCERNING
 * EITHER THE MERCHANTABILITY OF THIS SOFTWARE OR THE SUITABILITY OF
 * THIS SOFTWARE FOR ANY PARTICULAR PURPOSE.  The software is provided
 * "as is" without express or implied warranty of any kind.
 * 
 * These notices must be retained in any copies of any part of this
 * software.
 */
 
#include "mpoll.h"

/* -------------------------------------------------------------- */

/* a procedure to open a traffic monitor window */
      
ET_PROC( viewmonitor )
   {
   
   ET_INCLUDE( monitor.tcl );
   return ET_OK;
   }
/* -------------------------------------------------------------- */

/* a procedure to open a log window */
      
viewlog()
   {
   
   ET_INCLUDE( log.tcl );
   return ET_OK;
   }
/* -------------------------------------------------------------- */

/* a procedure to look for the topic selected in the GUI 
   and view the question */
      
ET_PROC( viewquest )
   {
   char sw[512];
   char *swp = sw;
   
   
   /* find out what the cursor has selected */
   swp = ET_STR(
      .listframe.list curselection
      );
   
   /* make sure there is something there */   
   if (strcmp(swp, "") == 0)
      {
      ET(
         bell
         tk_dialog .viewdialog \
         "Error" \
         "You must select a topic" \
         "error" \
         0 \
         "Return"
      );
      return ET_OK;
      }
      
   /* topicnum is a global variable for the current topic */
   topicnum = atoi(swp) + 1; /* master structure starts at 1 */
   
   /* call quest display routine */ 
   quest(topicnum);
   
   return ET_OK;     
   }
/* -------------------------------------------------------------- */

/* a procedure to view the results from question display */
      
ET_PROC( viewresults )
   {

   topicnum = atoi(argv[1]);
   if (! topicnum)
      {
      perror("No topic number when showing results");
      exit(1);
      }
   
   /* call results display routine */ 
   showresults(topicnum);
   
   return ET_OK;     
   }
/* -------------------------------------------------------------- */

/* a procedure to look for the topic selected in the GUI 
   and view the results */
      
ET_PROC( quickviewresults )
   {
   char sw[512];
   char *swp = sw;
   
   memset(sw, 0, sizeof(sw));
   /* find out what the cursor has selected */
   swp = ET_STR(
      .listframe.list curselection
      );
   
   /* make sure there is something there */   
   if (strcmp(swp, "") == 0)
      {
      ET(
         bell
         tk_dialog .viewdialog \
         "Error" \
         "You must select a topic" \
         "error" \
         0 \
         "Return"
      );
      return ET_OK;
      }
      
   /* topicnum is a global variable for the current topic */
   topicnum = atoi(swp) + 1; /* master structure starts at 1 */
   
   /* call results display routine */ 
   showresults(topicnum);
   
   return ET_OK;     
   }
   
/* -------------------------------------------------------------- */
/* a procedure for updating the text results */
ET_PROC( tcl_update_string_results )
   {
   
   update_string_results(topicnum);
   return ET_OK;
   }   


	
/* ----------------------------------------------------------- */
/* log activity for debugging */
logger(char *message)
   {
   char *yview = NULL;
   float first, last;
   
   /* check that the monitor window is open */
   if (ET_INT(winfo exists .logmain) == 0)
      {
      return 1;
      }
   ET(
      .logmain.top.textwin insert end "%q(message)\n"
      );
      
      
   /* autoscroll if near the bottom of the window */
   
   yview = strdup(ET_STR(.logmain.top.textwin yview));
   
   sscanf(yview, "%f%f" , &first, &last);
   
   if (last > 0.90)
      {
      ET(.logmain.top.textwin yview moveto 1);
      }
   free(yview);
   return ET_OK;
   }
   

